#### PyKDE - Python Bindings for KDE

# class KFileSharePropsPlugin

Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KFileSharePropsPlugin
Inherits | KPropsDlgPlugin

### methods

- KFileSharePropsPlugin (_props)

  returns a KFileSharePropsPlugin instance
  In versions KDE 3.1.0 and above only

  Argument | Type | Default
  --- | --- | ---
  _props | KPropertiesDialog |

- applyChanges ()

  returns nothing
  In versions KDE 3.1.0 and above only

- page ()

  returns (QWidget)
  In versions KDE 3.1.0 and above only

- slotConfigureFileSharing ()

  returns nothing
  In versions KDE 3.1.0 and above only

- supports (items)

  returns (bool)
  In versions KDE 3.1.0 and above only
  static

  Argument | Type | Default
  --- | --- | ---
  items | KFileItemList |